/*
 * sdeqtest.c
 *
 * MontaVista System Device Enumeration Test Application
 *
 * Author: MontaVista Software, Inc.
 *         Steven Dake (sdake@mvista.com)
 *         source@mvista.com
 *
 * Copyright (C) 2003 MontaVista Software Inc.
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the
 *  Free Software Foundation; either version 2 of the License, or (at your
 *  option) any later version.
 *
 *  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED
 *  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 *  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 *  OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 *  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
 *  TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 *  USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <linux/sdeq.h>
#include "sdequser.h"

int main (void) {
	struct sdeq_event event;
	int result;
	int fd;
	fd_set read_fds;

	sdeq_init (&fd);
	sdeq_reset_currptr ();
	for (;;) {
		FD_ZERO (&read_fds);
		FD_SET (fd, &read_fds);

		printf ("starting select\n");
		result = select (fd + 1, &read_fds, NULL, NULL, NULL);
		printf ("done with select\n");
		if (result == -1) {
			perror ("select: ");
			exit (1);
		}
		/*
		 * Process all events
		 * */
		do {
			result = sdeq_get_currevent (&event);
			if (result == 0) {
				printf ("Event type %d device type %s kobj path %s\n", event.event_type, event.device_type, event.kobj_path);
			}
		} while (result == 0);
	}
}
