/*
 * sdequser.h
 *
 * MontaVista System Device Enumeration Event Queue Userland Interface
 *
 * Author: MontaVista Software, Inc.
 *         Steven Dake (sdake@mvista.com)
 *         source@mvista.com
 *
 * Copyright 2003 MontaVista Software Inc.
 *
 *  This software implements a character device driver.  The driver provides
 *  a fifo of kobject create/delete events which are enumerated into user
 *  space program.  The userland program then can create device nodes with
 *  system policy controlled entirely in user space.
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the
 *  Free Software Foundation; either version 2 of the License, or (at your
 *  option) any later version.
 *
 *  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED
 *  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 *  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 *  OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 *  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
 *  TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 *  USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef SDEQUSER_H_DEFINED
#define SDEQUSER_H_DEFINED

int sdeq_init (int *fd);

int sdeq_get_currevent (struct sdeq_event *event);

int sdeq_reset_currptr (void);

int sdeq_remove_events (int event_count);

#endif
